
From: Adrian Bunk <bunk@stusta.de>

The patch below makes a needlessly global function static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/mpparse.c     |    2 +-
 25-akpm/arch/i386/mach-visws/mpparse.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/mpparse.c~i386-mpparsec-make-mp_processor_info-static arch/i386/kernel/mpparse.c
--- 25/arch/i386/kernel/mpparse.c~i386-mpparsec-make-mp_processor_info-static	2005-01-16 00:31:17.516016552 -0800
+++ 25-akpm/arch/i386/kernel/mpparse.c	2005-01-16 00:31:17.521015792 -0800
@@ -119,7 +119,7 @@ static int MP_valid_apicid(int apicid, i
 }
 #endif
 
-void __init MP_processor_info (struct mpc_config_processor *m)
+static void __init MP_processor_info (struct mpc_config_processor *m)
 {
  	int ver, apicid;
 	physid_mask_t tmp;
diff -puN arch/i386/mach-visws/mpparse.c~i386-mpparsec-make-mp_processor_info-static arch/i386/mach-visws/mpparse.c
--- 25/arch/i386/mach-visws/mpparse.c~i386-mpparsec-make-mp_processor_info-static	2005-01-16 00:31:17.517016400 -0800
+++ 25-akpm/arch/i386/mach-visws/mpparse.c	2005-01-16 00:31:17.522015640 -0800
@@ -36,7 +36,7 @@ unsigned int __initdata maxcpus = NR_CPU
  * No problem for Linux.
  */
 
-void __init MP_processor_info (struct mpc_config_processor *m)
+static void __init MP_processor_info (struct mpc_config_processor *m)
 {
  	int ver, logical_apicid;
 	physid_mask_t apic_cpus;
_
